## xpilot 3.5.1-1

=== contrib/maps2image/Makefile ===
#
# Makefile for maps2image.
#
# Change the following line to reflect your ANSI C compiler
#
CC	=	gcc
CFLAGS	=	-O
OBJS	=	maps2image.o
LIBS	=	-lm
TARGET	=	maps2image

#
# Change the FONT macro to point to whatever font you want
# to use to display the map names below the images.
# You can choose between: helvR08.bdf, helvR10.bdf, helvR12.bdf or helvR14.bdf.
#
FONT	=	helvR08.bdf

all:		$(FONT) font.h maps2image bdf2c

$(TARGET):	$(OBJS) font.h
	$(CC) $(CFLAGS) -o $(TARGET) $(OBJS) $(LIBS)

font.h:	bdf2c Makefile
	bdf2c $(FONT) >font.h

bdf2c:	bdf2c.o
	$(CC) $(CFLAGS) -o bdf2c bdf2c.o

install:
	@echo "Sorry, I am too lazy to install.  Do it yourself."

depend:
	makedepend -- $(CFLAGS) -- $(OBJS:%.o=%.c)

shar:
	shar -c -p README COPYRIGHT Makefile maps2image.c bdf2c.c -B helvR*.bdf >maps2image.shar

## xpilot 3.7.1

=== contrib/NT/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.88 94/07/18 15:53:35 gildea Exp $

# -----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>
# $XConsortium: Imake.tmpl,v 1.218 94/03/31 20:11:26 matt Exp $
#

.SUFFIXES: .i

# $XConsortium: Imake.cf,v 1.12 94/03/29 15:42:08 gildea Exp $

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.sample,v 1.9 94/04/08 17:02:06 rws Exp $

# -----------------------------------------------------------------------
# platform-specific configuration parameters - edit hp.cf to change

# platform:  $XConsortium: hp.cf,v 1.67 94/04/01 20:00:21 kaleb Exp $

# operating system:  HP-UX 10.0

# $XConsortium: hpLib.rules,v 1.4 93/09/11 17:57:18 rws Exp $

# -----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.sample,v 1.9 94/04/08 17:02:06 rws Exp $

# -----------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $XConsortium: Imake.rules,v 1.193 94/04/10 17:39:55 rws Exp $

#   $RCSfile: Motif.rules,v $ $Revision: 1.2 $ $Date: 94/07/14 17:13:08 $

          PATHSEP = /
            SHELL = /usr/bin/sh

              TOP = ../..
      CURRENT_DIR = contrib/NT/

            IMAKE = imake
           DEPEND = makedepend
        MKDIRHIER = mkdirhier
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/makedepend
           IXXSRC = $(UNSUPPORTEDSRC)/programs/ixx
              IXX = ixx
         IXXFLAGS = -s BaseObject -m TypeObj -r RequestObj -p Xf
      IXXINCLUDES = -i '<X11/Fresco/enter-scope.h>'

          INCROOT = /usr/include
        USRLIBDIR = /usr/lib
         SHLIBDIR = /usr/lib
       LINTLIBDIR = $(USRLIBDIR)/lint
          MANPATH = /usr/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)$(MANSUFFIX)
        LIBMANDIR = $(MANSOURCEPATH)$(LIBMANSUFFIX)
       FILEMANDIR = $(MANSOURCEPATH)$(FILEMANSUFFIX)

               AR = ar clq
  BOOTSTRAPCFLAGS =
               CC = cc
               AS = as

         COMPRESS = compress
              CPP = /lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = cc -E $(STD_CPP_DEFINES)
          INSTALL = bsdinst
     INSTALLFLAGS = -c
               LD = ld
              LEX = lex
           LEXLIB = -ll
             YACC = yacc
           CCYACC = yacc
             LINT = lint
      LINTLIBFLAG = -o
         LINTOPTS = -bh
               LN = ln -s
             MAKE = make
               MV = mv -f
               CP = cp

               RM = rm -f
        MANSUFFIX = n
     LIBMANSUFFIX = 3
    FILEMANSUFFIX = 4
            TROFF = psroff
         MSMACROS = -ms
              TBL = tbl
              EQN = eqn

     STD_INCLUDES =
  STD_CPP_DEFINES = -Dhpux -DSYSV -D_HPUX_SOURCE
      STD_DEFINES = -Dhpux -DSYSV -D_HPUX_SOURCE
 EXTRA_LOAD_FLAGS =
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES =
             TAGS = ctags

           MFLAGS = -$(MAKEFLAGS)

    SHAREDCODEDEF =
         SHLIBDEF =

     SHLIBLDFLAGS = -b

         PICFLAGS = +z

      CXXPICFLAGS = +z

    PROTO_DEFINES =

     INSTPGMFLAGS =

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4755
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -m 4755

      CDEBUGFLAGS = -O
        CCOPTIONS = -Aa

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB =
        LDPOSTLIB =
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)
     CXXLDOPTIONS = $(CDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)

           LDLIBS = $(LDPOSTLIB) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

           CCLINK = $(CC)

          CXXLINK = $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -r
      DEPENDFLAGS =

        MACROFILE = hp.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/Project.tmpl \
			$(IRULESRC)/site.def $(IRULESRC)/$(MACROFILE) \
			 $(EXTRA_ICONFIGFILES)

# -----------------------------------------------------------------------
# X Window System Build Parameters and Rules
# $XConsortium: Project.tmpl,v 1.242 94/04/13 14:58:40 rws Exp $

# -----------------------------------------------------------------------
# X Window System make variables; these need to be coordinated with rules

           BINDIR = /usr/bin/X11
     BUILDINCROOT = $(TOP)
      BUILDINCDIR = $(BUILDINCROOT)/X11
      BUILDINCTOP = ..
      BUILDLIBDIR = $(TOP)/usrlib
      BUILDLIBTOP = ..
           INCDIR = $(INCROOT)/X11
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
           NLSDIR = $(LIBDIR)/nls
       XLOCALEDIR = $(LIBDIR)/locale
        PEXAPIDIR = $(LIBDIR)/PEX
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

              RGB = rgb
            FONTC = bdftopcf
        MKFONTDIR = mkfontdir

       DOCUTILSRC = $(TOP)/doc/util
       XDOCMACROS = $(DOCUTILSRC)/macros.t
       XIDXMACROS = $(DOCUTILSRC)/indexmacros.t
       PROGRAMSRC = $(TOP)/programs
           LIBSRC = $(TOP)/lib
          FONTSRC = $(TOP)/fonts
       INCLUDESRC = $(TOP)/X11
        SERVERSRC = $(TOP)/programs/Xserver
       CONTRIBSRC = $(TOP)/../contrib
   UNSUPPORTEDSRC = $(TOP)/unsupported
           DOCSRC = $(TOP)/doc
           RGBSRC = $(TOP)/programs/rgb
      BDFTOPCFSRC = $(PROGRAMSRC)/bdftopcf
     MKFONTDIRSRC = $(PROGRAMSRC)/mkfontdir
    FONTSERVERSRC = $(PROGRAMSRC)/xfs
       FONTINCSRC = $(TOP)/include/fonts
        EXTINCSRC = $(TOP)/include/extensions
     TRANSCOMMSRC = $(LIBSRC)/xtrans
   TRANS_INCLUDES = -I$(TRANSCOMMSRC)

# $XConsortium: hpLib.tmpl,v 1.8 93/08/25 15:30:15 rws Exp $

          XLIBSRC = $(LIBSRC)/X11

 SOXLIBREV = 6.0
 DEPXONLYLIB =
 XONLYLIB =  -lX11

 LINTXONLY = $(LINTLIBDIR)/llib-lX11.ln

         XLIBONLY = $(XONLYLIB)

      XEXTLIBSRC = $(LIBSRC)/Xext

 SOXEXTREV = 6.0
 DEPEXTENSIONLIB =
 EXTENSIONLIB =  -lXext

 LINTEXTENSION = $(LINTLIBDIR)/llib-lXext.ln

LINTEXTENSIONLIB = $(LINTEXTENSION)
          DEPXLIB = $(DEPEXTENSIONLIB) $(DEPXONLYLIB)
             XLIB = $(EXTENSIONLIB) $(XONLYLIB)
         LINTXLIB = $(LINTXONLYLIB)

         XAUTHSRC = $(LIBSRC)/Xau

 DEPXAUTHLIB = $(USRLIBDIR)/libXau.a
 XAUTHLIB =  -lXau

 LINTXAUTH = $(LINTLIBDIR)/llib-lXau.ln

      XDMCPLIBSRC = $(LIBSRC)/Xdmcp

 DEPXDMCPLIB = $(USRLIBDIR)/libXdmcp.a
 XDMCPLIB =  -lXdmcp

 LINTXDMCP = $(LINTLIBDIR)/llib-lXdmcp.ln

           XMUSRC = $(LIBSRC)/Xmu

 SOXMUREV = 6.0
 DEPXMULIB =
 XMULIB =  -lXmu

 LINTXMU = $(LINTLIBDIR)/llib-lXmu.ln

       OLDXLIBSRC = $(LIBSRC)/oldX

 SOOLDXREV = 6.0
 DEPOLDXLIB =
 OLDXLIB =  -loldX

 LINTOLDX = $(LINTLIBDIR)/llib-loldX.ln

       TOOLKITSRC = $(LIBSRC)/Xt

 SOXTREV = 6.0
 DEPXTOOLONLYLIB =
 XTOOLONLYLIB =  -lXt

 LINTXTOOLONLY = $(LINTLIBDIR)/llib-lXt.ln

      DEPXTOOLLIB = $(DEPXTOOLONLYLIB) $(DEPSMLIB) $(DEPICELIB)
         XTOOLLIB = $(XTOOLONLYLIB) $(SMLIB) $(ICELIB)

     LINTXTOOLLIB = $(LINTXTOOLONLYLIB)

       AWIDGETSRC = $(LIBSRC)/Xaw

 SOXAWREV = 6.0
 DEPXAWLIB =
 XAWLIB =  -lXaw

 LINTXAW = $(LINTLIBDIR)/llib-lXaw.ln

       XTFSRC = $(TOP)/workInProgress/Xtf

 SOXTFREV = 0.7
 DEPXTFLIB =
 XTFLIB =  -lXtf

 LINTXTF = $(LINTLIBDIR)/llib-lXtf.ln

       FRESCOSRC = $(TOP)/workInProgress/Fresco

 SOFRESCOREV = 0.7
 DEPFRESCOLIB =
 FRESCOLIB =  -lFresco

 LINTFRESCO = $(LINTLIBDIR)/llib-lFresco.ln

         XILIBSRC = $(LIBSRC)/Xi

 SOXINPUTREV = 6.0
 DEPXILIB =
 XILIB =  -lXi

 LINTXI = $(LINTLIBDIR)/llib-lXi.ln

      XTESTLIBSRC = $(LIBSRC)/Xtst

 SOXTESTREV = 6.0
 DEPXTESTLIB =
 XTESTLIB =  -lXtst

 LINTXTEST = $(LINTLIBDIR)/llib-lXtst.ln

        PEXLIBSRC = $(LIBSRC)/PEX5

 SOPEXREV = 6.0
 DEPPEXLIB =
 PEXLIB =  -lPEX5

 LINTPEX = $(LINTLIBDIR)/llib-lPEX5.ln

        XIELIBSRC = $(LIBSRC)/XIE

 SOXIEREV = 6.0
 DEPXIELIB =
 XIELIB =  -lXIE

 LINTXIE = $(LINTLIBDIR)/llib-lXIE.ln

      PHIGSLIBSRC = $(LIBSRC)/PHIGS

 DEPPHIGSLIB = $(USRLIBDIR)/libphigs.a
 PHIGSLIB =  -lphigs

 LINTPHIGS = $(LINTLIBDIR)/llib-lphigs.ln

 DEPXBSDLIB = $(USRLIBDIR)/libXbsd.a
 XBSDLIB =  -lXbsd

 LINTXBSD = $(LINTLIBDIR)/llib-lXbsd.ln

           ICESRC = $(LIBSRC)/ICE

 SOICEREV = 6.0
 DEPICELIB =
 ICELIB =  -lICE

 LINTICE = $(LINTLIBDIR)/llib-lICE.ln

            SMSRC = $(LIBSRC)/SM

 SOSMREV = 6.0
 DEPSMLIB =
 SMLIB =  -lSM

 LINTSM = $(LINTLIBDIR)/llib-lSM.ln

         FSLIBSRC = $(LIBSRC)/FS

 DEPFSLIB = $(USRLIBDIR)/libFS.a
 FSLIB =  -lFS

 LINTFS = $(LINTLIBDIR)/llib-lFS.ln

         FONTLIBSRC = $(LIBSRC)/font

 DEPFONTLIB = $(USRLIBDIR)/libfont.a
 FONTLIB =  -lfont

 LINTFONT = $(LINTLIBDIR)/llib-lfont.ln

          DEPLIBS = $(DEPXAWLIB) $(DEPXMULIB) $(DEPXTOOLLIB) $(DEPXLIB)

         DEPLIBS1 = $(DEPLIBS)
         DEPLIBS2 = $(DEPLIBS)
         DEPLIBS3 = $(DEPLIBS)

#   $RCSfile: Motif.tmpl,v $ $Revision: 1.3 $ $Date: 94/08/12 15:56:56 $

          SOXMREV = 1.2
         SOMRMREV = 1.2
         SOUILREV = 1.2
     SOACOMMONREV = 1.2
      SOSCRIPTREV = 1.2
        SOUTILREV = 1.2
      SOCREATEREV = 1.2
      SOVISUALREV = 1.2
       SOSYNTHREV = 1.2
     SOMCOMMONREV = 1.2

              XTOP = $(TOP)
              MTOP = $(TOP)
     XBUILDINCROOT = $(XTOP)
      XBUILDINCDIR = $(XBUILDINCROOT)/X11

         CLIENTSRC = $(XTOP)/clients
           DEMOSRC = $(XTOP)/demos
            LIBSRC = $(XTOP)/lib
           FONTSRC = $(XTOP)/fonts
        INCLUDESRC = $(XTOP)/X11
         SERVERSRC = $(XTOP)/server
           UTILSRC = $(XTOP)/util
        EXAMPLESRC = $(XTOP)/examples
            DOCSRC = $(XTOP)/doc
            RGBSRC = $(XTOP)/rgb
      EXTENSIONSRC = $(XTOP)/extensions

      UIL_INCLUDES = -I$(USRINCDIR)/uil

      USRINCDIR = /usr/include
         UIDDIR = $(LIBDIR)/uid
        TESTSRC = $(MTOP)/tests
        TESTLIB = $(TESTSRC)/lib
  GENERALSRCLIB = $(TESTSRC)/General/lib
  GENERALSRCBIN = $(TESTSRC)/General/bin
   MANUALSRCLIB = $(TESTSRC)/Manual/lib
   MANUALSRCBIN = $(TESTSRC)/Manual/bin
     AUTOSRCLIB = $(TESTSRC)/Auto/lib
     AUTOSRCBIN = $(TESTSRC)/Auto/bin
       COMMONPP = $(GENERALSRCBIN)/Commonpp
         GENRUN = $(GENERALSRCBIN)/Genrun
         MANRUN = $(GENERALSRCBIN)/Manrun

     TESTCOMSRC = $(MANUALSRCLIB)/Common

    MTOOLKITSRC = $(TOOLKITSRC)
    MINCLUDESRC = $(MTOP)/X11

        MLIBSRC = /usr/lib/Motif1.2
     MCLIENTSRC = $(MTOP)/clients
       MDEMOSRC = $(MTOP)/demos
     MWIDGETSRC = $(MLIBSRC)/Xm
   MRESOURCESRC = $(MLIBSRC)/Mrm
         UILSRC = $(MCLIENTSRC)/uil

            UIL = uil
         DEPUIL = $(BINDIR)/uil

   XMEXTRA_LIBS =

DEPXMLIB =
 XMLIB =   -lXm

DEPMRESOURCELIB =
 MRESOURCELIB =   -lMrm

DEPUILLIB =
 UILLIB =   -lUil

DEPTESTCOMLIB =
 TESTCOMLIB =   -lCommon

  LINTMRESOURCE = $(MRESOURCESRC)/libMrm.a
LINTXMWIDGETLIB = $(MWIDGETSRC)/llib-l/Xm.ln
     LINTXMTOOL = $(MTOOLKITSRC)/llib-lXt.ln
     LINTUILLIB = $(UILSRC)/llib-lUil.ln

      YACCFLAGS =
       UILFLAGS =

## xpilot 4.0.0

=== contrib/xpmtp/Makefile ===
CC		=	gcc
CFLAGS	=	-g
OBJS	=	xpmtp.o libxpmtp.o
BINDIR	=	/usr/local/bin
TARGET	=	xpmtp

$(TARGET):	$(OBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $(TARGET) $(OBJS) $(LIBS)

install:	$(TARGET)
	install -s xpmtp $(BINDIR)

clean:
	rm -f $(OBJS) $(TARGET)

shar:
	shar -c Makefile *.c *.h >xpmtp.shar

## xpilot 4.1.0

=== contrib/maps2image/Makefile ===
--- 
+++ 
@@ -12,7 +12,6 @@
 #
 # Change the FONT macro to point to whatever font you want
 # to use to display the map names below the images.
-# You can choose between: helvR08.bdf, helvR10.bdf, helvR12.bdf or helvR14.bdf.
 #
 FONT	=	helvR08.bdf
 
@@ -34,5 +33,6 @@
 	makedepend -- $(CFLAGS) -- $(OBJS:%.o=%.c)
 
 shar:
-	shar -c -p README COPYRIGHT Makefile maps2image.c bdf2c.c -B helvR*.bdf >maps2image.shar
+	gzip helvR*.bdf
+	shar -c -p README COPYRIGHT Makefile maps2image.c bdf2c.c -B helvR*.gz >maps2image.shar

## xpilot 4.5.5beta.20050814

=== debian/changelog ===
xpilot (4.5.5beta.20050814) unstable; urgency=low

  * Converted to a set of dummy upgrade packages.  (Closes: #226819, 
    #147448).

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon,  8 Aug 2005 10:25:34 -0300

xpilot (4.5.5beta.20031222-3) unstable; urgency=low

  * When connecting from Local server list, ensure the version
    of the server being joined is used instead of the last version
    in the list.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Wed, 21 Jan 2004 09:52:10 -0400

xpilot (4.5.5beta.20031222-2) unstable; urgency=low

  * Only remove each automatically generated Makefile in clean target.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sat, 10 Jan 2004 10:11:15 -0400

xpilot (4.5.5beta.20031222-1) unstable; urgency=low

  * New upstream.
  * Fixed deps for nas (now called libaudio).  (Closes: #212600).
  * Removed unused templates (Closes: #198530, #199642).

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun,  4 Jan 2004 16:54:36 -0400

xpilot (4.5.4-1) unstable; urgency=low

  * New upstream.

 -- Ben Armstrong <synrg@fountain.nslug.ns.ca>  Mon, 15 Jul 2002 11:20:04 -0300

xpilot (4.5.3-1) unstable; urgency=medium

  * New upstream.  Fixes annoying "players unpaused at end of round" bug
    and little else.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 21 Apr 2002 21:01:15 -0300

xpilot (4.5.2-1) unstable; urgency=medium

  * New upstream.
  * Fixed init script and prerm to allow xpilot-server removal even
    when xpilots uid and/or gid don't exist, as might be the case
    if a prior removal attempt failed (Closes: #142941).

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon, 15 Apr 2002 08:01:33 -0300

xpilot (4.5.1-1) unstable; urgency=high

  * New upstream.
  * Major bug fixes.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Tue,  9 Apr 2002 09:47:48 -0300

xpilot (4.5.0final-1) unstable; urgency=low

  * New upstream.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Fri,  8 Mar 2002 07:51:14 -0400

xpilot (4.5.0beta-1) unstable; urgency=low

  * New upstream.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Thu, 14 Feb 2002 17:08:28 -0400

xpilot (4.5.0alpha.020201-1) unstable; urgency=low

  * New upstream.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Fri,  1 Feb 2002 16:47:15 -0400

xpilot (4.5.0alpha.011209-1) unstable; urgency=low

  * New upstream.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun,  9 Dec 2001 09:11:31 -0400

xpilot (4.4.3-1) unstable; urgency=low

  * New upstream.  Fixes a couple of bugs that could crash the server.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Tue,  6 Nov 2001 12:42:02 -0400

xpilot (4.4.2final-4) unstable; urgency=low

  * Priority of -nas and -rplay aligned with overrides.  These are
    now extra.
  * README.Debian in -common now explains a bit about sound.
  * Sounds made into a proper config file in /etc/xpilot/sounds.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 21 Oct 2001 20:28:09 -0300

xpilot (4.4.2final-3) unstable; urgency=low

  * Build for -nas and -rplay really fixed.  The common files must be
    built with sound enabled too.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sat, 20 Oct 2001 19:44:26 -0300

xpilot (4.4.2final-2) unstable; urgency=low

  * Fix sound versions of packges.  Missing /usr/share/games/sounds
    was accidentally placed in xpilot-server instead.  Also, sound
    libraries weren't even linked against in -1!

  * This release dedicated to our new baby, Joanna Louise Armstrong,
    born Tuesday, October 9, 2001 weighing 9 lbs 9 oz at the IWK Grace
    Hospital in Halifax, NS.  Joanna, whether or not you grow up to
    like this game, I'll always love you.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Fri, 19 Oct 2001 20:50:13 -0300

xpilot (4.4.2final-1) unstable; urgency=low

  * New upstream.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon,  8 Oct 2001 13:02:47 -0300

xpilot (4.4.2beta-3) unstable; urgency=low

  * Rplay supported by hurd, so reinstated.  Nas omitted completely for
    hurd-i386 architecture so this should build on hurd now.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun,  7 Oct 2001 21:46:17 -0300

xpilot (4.4.2beta-2) unstable; urgency=low

  * Some touch-ups.  Misc policy issues: man page symlinks, etc.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun,  7 Oct 2001 21:19:40 -0300

xpilot (4.4.2beta-1) unstable; urgency=low

  * New upstream.
  * Make it possible for -rplay and -nas versions of client 
    to be omitted for arches with no sound (specifically hurd).

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Tue, 14 Aug 2001 15:28:26 -0300

xpilot (4.4.1final-2) unstable; urgency=low

  * Add -noquit to start-xpilots, as daemons started at boot time
    are expected to run continuously.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon,  2 Jul 2001 22:51:01 -0300

xpilot (4.4.1final-1) unstable; urgency=low

  * New upstream.  Final release integrating ball ownership fix.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon,  2 Jul 2001 10:53:41 -0300

xpilot (4.4.1beta.synrg.010701-0.1) unstable; urgency=low

  * Applied fix for ball ownership reset in Delete_player().

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun,  1 Jul 2001 10:28:05 -0300

xpilot (4.4.1beta.dist-0.1) unstable; urgency=low

  * Upstream cvs added a few minor fixes.
  * Beta released from cvs as distribution tarball.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Tue, 26 Jun 2001 07:41:19 -0300

xpilot (4.4.1beta.010625-0.1) unstable; urgency=low

  * Latest snapshot.
  * Created xpilot dynamic user and group so that password and
    defaults files are given proper ownership.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon, 25 Jun 2001 17:56:20 -0300

xpilot (4.4.1alpha.010625-0.1) unstable; urgency=low

  * Latest snapshot.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon, 25 Jun 2001 08:49:42 -0300

xpilot (4.4.0final-1) unstable; urgency=low

  * New upstream release.


=== debian/control ===
Source: xpilot
Section: games
Priority: optional
Maintainer: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.2

Package: xpilot-client-common
Architecture: all
Depends: xpilot (= 4.5.5beta.20050814)
Replaces: xpilot-server (= 4.4.2final-1)
Conflicts: xpilot-client, xpilot (<< 4.1.0-4.U.4alpha2.1)
Description: Dummy upgrade package for xpilot-client-common
 This is a transitional package; see the xpilot-ng-common package instead.

Package: xpilot-client-nosound
Architecture: all
Depends: xpilot-client-common (= 4.5.5beta.20050814), xpilot (= 4.5.5beta.20050814)
Conflicts: xpilot-client, xpilot (<< 4.1.0-4.U.4alpha2.1)
Replaces: xpilot-client
Description: Dummy upgrade package for xpilot-client-nosound
 This is a transitional package; see the xpilot-ng-client-x11 and
 xpilot-ng-client-sdl packages instead.

Package: xpilot-client-nas
Architecture: all
Depends: xpilot-client-common (= 4.5.5beta.20050814), xpilot (= 4.5.5beta.20050814)
Conflicts: xpilot-client, xpilot (<< 4.1.0-4.U.4alpha2.1)
Replaces: xpilot-client
Priority: extra
Description: Dummy upgrade package for xpilot-client-nas
 This is a transitional package; see the xpilot-ng-client-x11 and
 xpilot-ng-client-sdl packages instead.

Package: xpilot-client-rplay
Architecture: all
Depends: xpilot-client-common (= 4.5.5beta.20050814), xpilot (= 4.5.5beta.20050814)
Conflicts: xpilot-client, xpilot (<< 4.1.0-4.U.4alpha2.1)
Replaces: xpilot-client
Priority: extra
Description: Dummy upgrade package for xpilot-client-rplay
 This is a transitional package; see the xpilot-ng-client-x11 and
 xpilot-ng-client-sdl packages instead.

Package: xpilot-server
Architecture: all
Depends: xpilot (= 4.5.5beta.20050814)
Conflicts: xpilot (<< 4.1.0-4.U.4alpha2.1)
Description: Dummy upgrade package for xpilot-server
 This is a transitional package; see the xpilot-ng-server package
 instead.

Package: xpilot
Architecture: all
Depends: xpilot-ng
Description: Dummy upgrade package for xpilot
 This is a transitional package; see the xpilot-ng package instead.

=== debian/rules ===
#!/usr/bin/make -f
# Adapted from sample debian/rules that uses debhelper
# Original by Joey Hess; GNU copyright 1997
# Modified by Matt Kern; GNU copyright 1999
# Modified by Ben Armstrong; GNU copyright 2001, 2002
# Last updated Apr. 15, 2002


# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

build: build-stamp
build-stamp:

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	dh_clean


install: install-stamp
install-stamp:
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion -i
	dh_testdir -i
	dh_testroot -i
	dh_link -i
	dh_installdocs -pxpilot
	dh_installchangelogs -pxpilot
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i


# Build architecture-dependent files here.
binary-arch:
# nothing to do anymore

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
